---
comments: true
date: 2016-02-23T19:43:57+01:00
draft: false
image: ""
menu: ""
share: true
tags:
- Research communication
- IDCC16
- Research data management
- Conference
- Open data
slug: idcc16-day-1
title: "#IDCC16 Day 1: Open Data"
---

The main conference opened today with an inspiring keynote by Barend Mons, Professor in Biosemantics, Leiden University Medical Center. The talk had plenty of great stuff, but two points stood out for me.

First, Prof Mons described a newly discovered link between Huntingdon's Disease and a previously unconsidered gene. No-one had previously recognised this link, but on mining the literature, an indirect link was identified in more than 10% of the roughly 1 million scientific claims analysed. This is knowledge for which we already had more than enough evidence, but **which could never have been discovered without such a wide-ranging computational study**.

Second, he described a number of behaviours which **should be considered "malpractice" in science**:

- Relying on supplementary data in articles for data sharing: the majority of this is trash (paywalled, embedded in bitmap images, missing)
- Using the Journal Impact Factor to evaluate science and ignoring altmetrics
- Not writing data stewardship plans for projects (he prefers this term to "data management plan")
- Obstructing tenure for data experts by assuming that all highly-skilled scientists must have a long publication record

A second plenary talk from Andrew Sallons of the [Centre for Open Science](http://cos.io) introduced a number of interesting-looking bits and bobs, including the [Transparency & Openness Promotion (TOP) Guidelines][TOP] which set out a pathway to help funders, publishers and institutions move towards more open science.

[TOP]: https://osf.io/9f6gx/wiki/Guidelines/

The rest of the day was taken up with a panel on open data, a poster session, some demos and a birds-of-a-feather session on sharing sensitive/confidential data. There was a great range of posters, but a few that stood out to me were:

- Lessons learned about ISO 16363 ("Audit and certification of trustworthy digital repositories") certification from the British Library
- Two separate posters (from the Universities of Toronto and Colorado) about disciplinary RDM information & training for liaison librarians
- A template for sharing psychology data developed by a psychologist-turned-information researcher from Carnegie Mellon University

More to follow, but for now it's time for the conference dinner!
