---
title: "Mozilla Global Sprint 2017"
description: "On 1 & 2 June 2017, the Research Software Engineering group at the University of Sheffield, in collaboration with the University Library, hosted a diverse group of people contributing to projects all over the world as part of the Mozilla Global Sprint."
slug: mozilla-global-sprint-2017
date: 2017-06-15T07:52:23+01:00
draft: false
tags:
- Librarianship
- Open culture
- Library Carpentry
- Mozilla Global Sprint
- Mozilla
---

{{% figure alt="Globes" src="/images/posts/2017-06-15-globes.jpg" class="main-illustration fr"
    attr="Photo by Lena Bell on Unsplash" attrlink="https://unsplash.com/photos/mluSdDeOksc" %}}

Every year, the Mozilla Foundation runs a [two-day Global Sprint](https://mozilla.github.io/global-sprint/), giving people around the world 50 hours to work on projects supporting and promoting open culture and tech.

Though much of the work during the sprint is, of course, technical software development work, there are always tasks suited to a wide range of different skill sets and experience levels. The participants include writers, designers, teachers, information professionals and many others.

This year, for the first time, the University of Sheffield hosted a site, providing a space for local researchers, developers and others to get out of their offices, work on #mozsprint and link up with others around the world. The Sheffield site was organised by the Research Software Engineering group in collaboration with the University Library. Our site was only small compared to others, but we still had people working on several different projects.

My reason for taking part in the sprint was to contribute to the international effort on the [Library Carpentry][] project. A team spread across four continents worked throughout the whole sprint to review and develop our lesson material.

As there were no other Library Carpentry volunteers at the Sheffield site, I chose to work on some urgent work around improving the presentation of our workshops and lessons on the web and related workflows. It was a really nice subproject to work on, requiring not only cleaning up and normalising the metadata we hold on workshops and lessons, but also digesting and formalising our current *ad hoc* process of lesson development.

The largest group were solar physicists from the School of Maths and Statistics, working on the [SunPy project][SunPy], an open source environment for solar data analysis. They pushed loads of bug fixes and documentation improvements, and also mentored a new contributor through their first additions to the project.

Anna Krystalli from Research Software Engineering worked on the EchoBurst project, which is building a web browser extension to help people break out of their online echo chambers. It does this by using natural language processing techniques to highlight well-written, logically sound articles that *disagree* with the reader's stated views on particular topics of interest. Anna was part of an effort to begin extending this technology to online videos.

We had a couple of individuals simply taking the opportunity to break out of their normal work environments to work or learn, including a couple of members of library staff show up for a couple of hours to learn how to use git on a new project!

[SunPy]: http://sunpy.org
[EchoBurst]: https://github.com/TyJK/EchoBurst
[Library Carpentry]: https://librarycarpentry.github.io
