---
title: "Learning to live with anxiety"
description: "This is a post that I've been writing for months, and writing in my head for years. For some it will explain aspects of my personality that you might have wondered about. For some it will just be another person banging on self-indulgently about so-called \"mental health issues\". Hopefully, for some it will demystify some stuff and show that you're not alone and things do get better."
slug: learning-to-live-with-anxiety
date: 2017-11-05T18:03:01+00:00
tags:
- Stuff
- Reflection
- Mental health
---

!!! intro ""
    This is a post that I've been writing for months, and writing in my head for years. For some it will explain aspects of my personality that you might have wondered about. For some it will just be another person banging on self-indulgently about so-called "mental health issues". Hopefully, for some it will demystify some stuff and show that you're not alone and things do get better.

For as long as I can remember I've been a worrier. I've also suffered from bouts of what I now recognise as depression, on and off since my school days. It's only relatively recently that I've come to the realisation that these two might be connected and that my 'worrying' might in fact be outside the normal range of healthy human behaviour and might more accurately be described as chronic anxiety. You probably won't have noticed it, but it's been there.

*More* recently I've begun feeling like I'm getting on top of it and feeling "normal" for the first time in my life. Things I've found that help include: getting out of the house more and socialising with friends; and getting a range of exercise, outdoors and away from the city (rock climbing is mentally *and* physically engaging and open water swimming is indescribably joyful).

But mostly it's the [cognitive behavioural therapy (CBT)][CBT] and the antidepressants.

[CBT]: https://en.wikipedia.org/wiki/Cognitive_behavioral_therapy

Before I go any further, a word about drugs ("don't do drugs, kids"): I'm on the lowest available dose of a common antidepressant. This isn't because it stops me being sad all the time (I'm not) or because it makes all my problems go away (it really doesn't). It's because the scientific evidence points to a combination of CBT and antidepressants as being the single most effective treatment for [generalised anxiety disorder][]. The reason for this is simple: CBT isn't easy, because it asks you to challenge habits and beliefs you've held your whole life. In the short term there is going to be *more* anxiety and some antidepressants are also effective at blunting the effect of this additional anxiety. In short, CBT is what makes you better, and the drugs just make it a little bit more effective.

[generalised anxiety disorder]: https://en.wikipedia.org/wiki/Generalized_anxiety_disorder

A lot of people have misconceptions about what it means to be 'in therapy'. I suspect a lot of these are derived from the psychoanalysis we often see portrayed in (primarily US) film and TV. The problem with that type of navel-gazing therapy is that you can spend years doing it, finally reach some sort of breakthrough insight, and still not have no idea what the supposed insight means for your actual life.

CBT is different in that rather than addressing feelings directly it focuses on habits in your thoughts (cognitive) and actions (behavioural) with feeling better as an outcome (therapy). CBT and related forms of therapy now have decades of clinical evidence showing that they really work.

It uses a wide range of techniques to identify, challenge and reduce various common unhelpful thoughts and behaviours. By choosing and practicing these, you can break bad mental habits that you've been carrying around, often for decades.

For me this means giving fair  weight to my successes as well as my failings, allowing flexibility into the rigid rules that I have always, subconsciously, lived by, and being a bit kinder to myself when I make mistakes. It's not been easy and I have to remind myself to practice this every day, but it's really helped.

!!! aside "More info"
    If you live in the UK, you might not be aware that you can get CBT and other psychological therapies on the NHS through a scheme called [IAPT (improving access to psychological therapies)](https://www.england.nhs.uk/mental-health/adults/iapt/). You can self-refer so you don't need to see a doctor first, but you might want to anyway if you think medication might help. They also have a progression of treatments, so you might be offered a course of "guided self-help" and then progressed to CBT or another talking therapy if need be. This is what happened to me, and it did help a bit but it was CBT that helped me the most.
