---
title: "Ultimate Hacking Keyboard: first thoughts"
description: "In which I bang on about yet another mechanical keyboard"
slug: uhk-first-thoughts
date: 2019-03-05T21:33:48+00:00
tags:
- Mechanical keyboards
- Stuff
---

![Ultimate Hacking Keyboard in blue](/images/posts/2019-03-uhk.jpg)

Following on from the excitement of having built a functioning keyboard myself, I got a parcel on Monday. Inside was something that I've been waiting for since September: an [Ultimate Hacking Keyboard](https://uhk.io)! Where the custom-built Laplace is small and quiet for travelling, the UHK is to be my main workhorse in the study at home.

Here are my first impressions:

Key switches
: I went with Kailh blue switches from the available options. In stark contrast to the quiet blacks on the Laplace, blues are NOISY! They have an extra piece of plastic inside the switch that causes an audible and tactile click when the switch activates. This makes them very satisfying to type on and should help as I train my fingers not to bottom out while typing, but does make them unsuitable for use in a shared office! Here are some [animations showing how the main types of key switch vary][switch animations].

Layout
: This keyboard has what's known as a 60% layout: no number pad, arrows or function keys. As with the more spartan [Laplace](/blog/custom-built-keyboard/), these "missing" keys are made up for with programmable layers. For example, the arrow keys are on the Mod layer on the I/J/K/L keys, so I can access them without moving from the home row. I actually find this preferable to having to move my hand to the right to reach them, and I really never used the number pad in any case.

Split
: This is a split keyboard, which means that the left and right halves can be separated to place the hands further apart which eases strain across the shoulders. The UHK has a neat coiled cable joining the two which doesn't get in the way. A cool design feature is that the two halves can be slotted back together and function perfectly well as a non-split keyboard too, held together by magnets. There are even electrical contacts so that when the two are joined you don't need the linking cable.

Programming
: The board is fully programmable, and this is achieved via a custom (open source) GUI tool which talks to the (open source) firmware on the board. You can have multiple keymaps, each of which has a separate Base, Mod, Fn and Mouse layer, and there's an LED display that shows a short mnemonic for the currently active map. I already have a customised [Dvorak layout][] for day-to-day use, plus a standard QWERTY for not-me to use and an alternative QWERTY which will be slowly tweaked for games that don't work well with Dvorak.

Mouse keys
: One cool feature that the designers have included in the firmware is the ability to emulate a mouse. There's a separate layer that allows me to move the cursor, scroll and click without moving my hands from the keyboard.

Palm rests
: Not much to say about the palm rests, other than they are solid wood, and chunky, and really add a little something.

I have to say, I really like it so far! Overall it feels really well designed, with every little detail carefully thought out and excellent build quality and a really solid feeling.

[switch animations]: https://www.keyboardco.com/blog/index.php/2012/12/an-introduction-to-cherry-mx-mechanical-switches/

[Dvorak layout]: https://en.wikipedia.org/wiki/Dvorak_Simplified_Keyboard
