---
title: "Blogging by hand"
description: |
    In which I start thinking about a workflow for blogging with pen and paper.
slug: blogging-by-hand
date: 2021-01-22T16:16:00+00:00
tags:
- Meta
- Machine learning
- Writing
---

I wrote the following text on my tablet with a stylus, which was an
interesting experience:

> So, thinking about ways to make writing fun again, what if I were to
> write some of them by hand? I mean I have a tablet with a pretty nice
> stylus, so maybe handwriting recognition could work. One major
> problem, of course, is that my handwriting is AWFUL! I guess I'll just
> have to see whether the OCR is good enough to cope…
>
> It's something I've been thinking about recently anyway: I enjoy
> writing with a proper fountain pen, so is there a way that I can have
> a smooth workflow to digitise handwritten text without just typing it
> back in by hand? That would probably be preferable to this, which
> actually seems to work quite well but does lead to my hand tensing up
> to properly control the stylus on the almost-frictionless glass
> screen.

I'm surprised how well it worked! Here's a sample of the original text:

![](/images/posts/2021-01-handwriting-sample.jpg)

And here's the result of converting that to text with the built-in
handwriting recognition in Samsung Notes:


> Writing blog posts by hand  
> So, thinking about ways to make writing fun again, what if I were to write some of chum by hand? I mean, I have a toldest winds a pretty nice stylus, so maybe handwriting recognition could work.  
> One major problems, ofcourse, is that my , is AWFUL! Iguess  
> I'll just have to see whattime the Ocu is good enough to cope...  
> It's something I've hun tthinking about recently anyway: I enjoy wilting with a proper fountain pion, soischeme a way that I can have a smooch workflow to digitise handwritten text without just typing it back in by hand?  
> That wouldprobally be preferableto this, which actually scams to work quito wall but doers load to my hand tensing up to properly couldthe stylus once almost-frictionlessg lass scream.  


It's pretty good! It did require a fair bit of editing though, and I
reckon we can do better with a model that's properly trained on a large
enough sample of my own handwriting.
